import RPi.GPIO as GPIO
#For GPIO operations
import time
#For Delay and Time Functions
GPIO.setmode(GPIO.BCM)
#Sets the GPIO Layout and Mapping Mode
GPIO.setwarnings(False)
#Disables GPIO Warnings
TRIG = 23
ECHO = 24
#Defines TRIG and ECHO Pin Numbers according to GPIO Numbers
GPIO.setmode(TRIG, GPIO.OUT)
#Define TRIG as OUTPUT
GPIO.output(TRIG, GPIO.LOW)
#Initially TRIG is set to LOW
GPIO.setmode(ECHO, GPIO.IN)
#Define ECHO as INPUT
time.sleep(0.1)
#Delay of 0.1 second
print("Initializing the Sensor")
GPIO.output(TRIG, GPIO.HIGH)
time.sleep(0.00001)
GPIO.output(TRIG, GPIO.LOW)
#This activates the sensor and sensor sends out an 8 cycle Sonic Pulse
while(GPIO.input(ECHO)==GPIO.LOW):
	pass
start = time.time()
#Records the Start Time
while(GPIO.input(ECHO)==GPIO.HIGH):
	pass
stop = time.time()
#Records the Stop Time
dist = int((stop-start)*17000) 
#This gives the distance in Centimeters
print("Distance: "+str(dist)+" cm")
#Prints out the Distance in centimeters
GPIO.cleanup()
#Resets the GPIO PINS Status
